> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List comments for an entity and branch



## OpenAPI

````yaml /openapi.json get /comments/{entityId}/list
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /comments/{entityId}/list:
    get:
      tags:
        - comments
      summary: List comments for an entity and branch
      operationId: CommentsController_listComments
      parameters:
        - name: entityId
          required: true
          in: path
          description: Id of the entity (policy, customer, branch, ...)
          schema:
            type: string
        - name: branchId
          required: false
          in: query
          description: 'Optional: the branchId'
          schema:
            type: string
        - name: count
          required: false
          in: query
          description: the number of items to return
          schema:
            default: 10
            type: number
        - name: page
          required: false
          in: query
          description: the page to retrieve
          schema:
            default: 1
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListCommentsOutput'
components:
  schemas:
    ListCommentsOutput:
      type: object
      properties:
        data:
          description: the list of items in the page
          type: array
          items:
            $ref: '#/components/schemas/CommentDto'
        pageInfo:
          description: the page info
          allOf:
            - $ref: '#/components/schemas/ResponsePageInfo'
        totalCount:
          type: number
          description: the total number of items
        currentPage:
          type: number
          description: the current page
        totalPages:
          type: number
          description: the total number of pages
      required:
        - data
        - pageInfo
        - totalCount
        - currentPage
        - totalPages
    CommentDto:
      type: object
      properties:
        type:
          type: string
          description: Entity type
        id:
          type: string
          description: Id of the comment
        entityId:
          type: string
          description: Id of the entity (policy, customer, branch, ...)
        branchId:
          type: string
          description: Id of the branch
        comment:
          type: string
          description: Comment content
          maxLength: 10000
        createdAt:
          type: string
          description: Date and time when the comment was created
        updatedAt:
          type: string
          description: Date and time when the comment was last updated
      required:
        - type
        - id
        - entityId
        - branchId
        - comment
        - createdAt
        - updatedAt
    ResponsePageInfo:
      type: object
      properties:
        first:
          type: boolean
          description: whether this is the first page
        last:
          type: boolean
          description: whether this is the last page

````